> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aleannlab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Email



## OpenAPI

````yaml post /api/confirm-email
openapi: 3.0.0
info:
  title: SirenAI-v
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
tags:
  - name: PROD
  - name: PROD > Auth
  - name: PROD > Chat
  - name: PROD > Profile
  - name: PROD > Influencer
paths:
  /api/confirm-email:
    post:
      tags:
        - PROD > Auth
      summary: Confirm Email
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                email: '{{user_email}}'
                code: 55uans
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Thu, 28 Dec 2023 08:50:58 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '30'
            Connection:
              schema:
                type: string
                example: keep-alive
            CF-Cache-Status:
              schema:
                type: string
                example: DYNAMIC
            Report-To:
              schema:
                type: string
                example: >-
                  {"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=qsxq9mAkC%2BWB3a0CXCAqaohgCmHGrMkkAHkdqG1OUpVBYxmvq5biuMYxEShnJSaDASP7Mjk02YLBJlko4%2BV%2FUkfL2zJH5mKljQAKKktIw8bbrPxOx14r9jgeUub6w%2FNgMpbSbl4%3D"}],"group":"cf-nel","max_age":604800}
            NEL:
              schema:
                type: string
                example: '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
            Server:
              schema:
                type: string
                example: cloudflare
            CF-RAY:
              schema:
                type: string
                example: 83c88f074e995b78-VIE
            alt-svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
          content:
            application/json:
              schema:
                type: object
              example:
                message: Email confirmed
      security:
        - noauthAuth: []
components:
  securitySchemes:
    noauthAuth:
      type: http
      scheme: noauth

````